﻿''' <summary>
''' 外部ブロックリスナ
''' </summary>
Public Interface ExternalBlockListener

    ''' <summary>
    ''' 書込
    ''' </summary>
    ''' <param name="stream">ストリーム</param>
    ''' <param name="map">Bysonマップ</param>
    ''' <param name="o">書込オブジェクト</param>
    Sub Write(ByVal stream As System.IO.Stream, ByVal map As BysonMap, ByVal o As Object)

    ''' <summary>
    ''' 読込
    ''' </summary>
    ''' <param name="stream">ストリーム</param>
    ''' <param name="map">Bysonマップ</param>
    ''' <param name="typename">型名称</param>
    ''' <returns>オブジェクト</returns>
    Function Read(ByVal stream As System.IO.Stream, ByVal map As BysonMap, ByVal typename As String) As Object

End Interface
