﻿<System.Runtime.Serialization.DataContract()>
Public Class Text

    <System.Runtime.Serialization.DataMember()>
    Private _point As System.Drawing.Point
    <System.Runtime.Serialization.DataMember()>
    Private _text As String
    <System.Runtime.Serialization.DataMember()>
    Private _size As FontSize
    <System.Runtime.Serialization.DataMember()>
    Private _color As FontColor

    Public Sub New()
    End Sub

    Public Sub New(ByVal size As FontSize, ByVal color As FontColor)
        Me._size = size
        Me._color = color
        Me._point = New System.Drawing.Point()
        Me._text = ""
    End Sub

    Public Property X As Integer
        Get
            Return Me._point.X
        End Get
        Set(ByVal value As Integer)
            Me._point.X = value
        End Set
    End Property

    Public Property Y As Integer
        Get
            Return Me._point.Y
        End Get
        Set(ByVal value As Integer)
            Me._point.Y = value
        End Set
    End Property

    Public Property Text As String
        Get
            Return Me._text
        End Get
        Set(ByVal value As String)
            Me._text = value
        End Set
    End Property

    Public Sub draw(ByVal g As Graphics)
        Dim fon As New Font("Arial", Me._size.Size, FontStyle.Regular)
        Dim brs As New SolidBrush(Me._color.Color)
        g.DrawString(Me._text, fon, brs, Me.X, Me.Y)
        fon.Dispose()
        brs.Dispose()
    End Sub

End Class
